MAN-RECODE(1)

NOMBRE
man-recode - convierte páginas de manual a otra codificación

SINOPSIS
man-recode -t código-destino {--suffix=sufijo\fP|--in-place} [-dqhV] [nombrefichero]

DESCRIPCIÓN
man-recode convierte varias páginas de manual de una codificación a otra, adivinando la codificación de entrada adecuada para cada una. Es útil cuando se están recodificando permanentemente páginas escritas con conjuntos de caracteres antiguos o construidas con sistemas que necesitan recodificar un conjunto de páginas en una codificación única (normalmente UTF-8) para instalarse. Cuando se convierten muchas páginas de manual, este programa es mucho más rápido que ejecutar man --recode o manconv para cada página.

Si en la primera línea de una página de manual aparece una declaración de codificación, se utiliza esa declaración como codificación de entrada para esa página. Si eso falla, la codificación de entrada se deduce del nombre del fichero.

Las declaraciones de codificaciones tienen la siguiente forma:

    '\" -*- coding: UTF-8 -*-

o (si también van a declararse preprocesadores de páginas de manual):

    '\" t -*- coding: ISO-8859-1 -*-

OPCIONES

-t codificando, --to-code codificando
    Convierte páginas de manual a codificación.

--suffix=sufijo
    Forma el nombre de cada fichero de salida añadiendo sufijo al nombre del fichero de entrada después de quitar cualquier extensión relacionada con compresión.

--in-place
    Sobreescribe cada fichero de entrada con la salida después de quitar cualquier extensión relacionada con compresión.

-q, --quiet
    No emite mensajes de error cuando la página no puede ser convertida.

-d, --debug
    Escribe información de depuración.

-h, --help
    Escribe un mensaje de ayuda y termina.

-V, --version
    Muestra información sobre la versión.

VÉASE TAMBIÉN
iconv(1), man(1), manconv(1)

AUTOR
Colin Watson (cjwatson@debian.org).